### Function

# ECal util_is_first_instance

since: 3.16

#### Declaration [src]

    gboolean
    e_cal_util_is_first_instance (
      ECalComponent* comp,
      const ICalTime* rid,
      ECalRecurResolveTimezoneCb tz_cb,
      gpointer tz_cb_data
    )

#### Description [src]

Returns whether the given `rid` is the first instance of the recurrence defined in the `comp`.

Available since: 3.16

#### Parameters

`comp`

  Type: `ECalComponent`

  An `ECalComponent` instance.

  The data is owned by the caller of the function.

`rid`

  Type: `None`

  A recurrence ID.

  The data is owned by the caller of the function.

`tz_cb`

  Type: `ECalRecurResolveTimezoneCb`

  The `ECalRecurResolveTimezoneCb` to call.

`tz_cb_data`

  Type: `gpointer`

  User data to be passed to the `tz_cb` callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the `rid` identifies the first instance of `comp`.